Name:           glest
Version:        3.2.2
Release:        5%{?dist}
Summary:        3D real time strategy game

Group:          Amusements/Games
License:        GPLv2+
URL:            http://glest.org
Source0:        http://www.titusgames.de/glest-source-%{version}.tar.bz2
Source1:        glest.sh
#http://sourceforge.net/tracker/?func=detail&aid=2842833&group_id=127297
Patch0:         glest.fix.includes.patch
Patch1:         glest-xerces-c.patch
Patch2:         glest-link-X11.patch
Patch3:         glest-cflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  jam, libX11-devel, SDL-devel, openal-soft-devel, xerces-c-devel
BuildRequires:  libogg-devel, libvorbis-devel, lua-devel, wxGTK-devel
BuildRequires:  desktop-file-utils, recode

# Data version is not in sync:
# http://glest.org/glest_board/index.php?topic=4252.0
Requires:       glest-data >= 3.2.1
# Used in the wrapper script
Requires:       glx-utils
Requires:       opengl-games-utils

# Does not work on PPC (see README.Linux). Bug 219540.
# It's been a long time so I want to reenable this in rawhide and ask for
# the reporter to retest it.
#ExcludeArch:    ppc ppc64

%description
Glest is a free 3D real time strategy game, that can be modified
using XML and a set of tools.

Glest takes place in a context which could be compared to that of
the pre-renaissance Europe, with the licence that magic forces
exist in the environment and can be controlled.


%prep
%setup -q -n %{name}-source-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p0
find . -type f | xargs sed -i -e "s/\r//g" 
#recode ISO-8859-1..UTF-8 README


%build
%configure
#jam %{?_smp_mflags} # Does not support parallel builds yet
jam


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/glest
mkdir -p $RPM_BUILD_ROOT%{_datadir}/glest
install -p -m 755 glest $RPM_BUILD_ROOT%{_libexecdir}/glest/
install -p -m 755 glest_editor $RPM_BUILD_ROOT%{_libexecdir}/glest/
install -p -m 644 glest.ini $RPM_BUILD_ROOT%{_datadir}/glest/

# Wrapper
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/glest
ln -s opengl-game-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/%{name}-wrapper
ln -s %{_libexecdir}/glest/glest_editor $RPM_BUILD_ROOT%{_bindir}/glest_editor

# Desktop files
cat > glest.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Glest
Comment=Real Time Strategy game
Exec=glest-wrapper
Icon=%{_datadir}/glest/glest-0.png
StartupNotify=true
Terminal=false
Type=Application
Categories=Application;Game;StrategyGame;
EOF
desktop-file-install  --vendor fedora \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        glest.desktop

cat > glest_editor.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Glest Map Editor
Comment=Map Editor for the game Glest
Exec=glest_editor
Icon=%{_datadir}/glest/glest-0.png
StartupNotify=true
Terminal=false
Type=Application
Categories=Application;Game;StrategyGame;
EOF
desktop-file-install  --vendor fedora \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        glest_editor.desktop



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/glest
%{_bindir}/glest_editor
%{_bindir}/glest-wrapper
%{_datadir}/applications/*.desktop
%{_libexecdir}/glest
%{_datadir}/glest


%changelog
* Thu Feb 11 2010 Bruno Wolff III <bruno@wolff.to> -  3.2.2-5
- Fix patch collision

* Thu Feb 11 2010 Bruno Wolff III <bruno@wolff.to> -  3.2.2-4
- Replace include patch by one shared with other distros
- Add patch for xerces change also shared by other distros
- Add patch for DSO change to link to X11
- Don't override Fedora compiler flags

* Sun Feb 07 2010 Bruno Wolff III <bruno@wolff.to> -  3.2.2-3
- Rebuild for updated xerces.

* Sat Nov 07 2009 Bruno Wolff III <bruno@wolff.to> -  3.2.2-2
- Fix first time start up and language resetting to english (#501232)

* Sat Aug 22 2009 Bruno Wolff III <bruno@wolff.to> -  3.2.2-1
- rebuild for openal-soft version change
- reenable ppc to allow retesting of 219540
- Update to 3.2.2 to pick up some networking fixes

* Fri Jul 26 2009 Aurelien Bompard <abompard@fedoraproject.org> 3.2.1-3
- fix wrapper script (#501181)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Feb 28 2009 Aurelien Bompard <abompard@fedoraproject.org> 3.2.1-1
- version 3.2.1
- drop patch0 (merged upstream)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 10 2009 Aurelien Bompard <abompard@fedoraproject.org> 3.2.0-1
- version 3.2.0

* Wed Mar 05 2008 Aurelien Bompard <abompard@fedoraproject.org> 3.1.2-1
- version 3.1.2

* Tue Feb 26 2008 Aurelien Bompard <abompard@fedoraproject.org> 3.1.1-1
- version 3.1.1

* Sat Feb 16 2008 Aurelien Bompard <abompard@fedoraproject.org> 3.1.0-1
- version 3.1.0

* Thu Feb 14 2008 Aurelien Bompard <abompard@fedoraproject.org> 3.0.0-3
- add missing values to glest.ini (bug 431944)

* Sun Feb 03 2008 Aurelien Bompard <abompard@fedoraproject.org> 3.0.0-2
- add patch for GCC 4.3 compatibility

* Sat Feb 02 2008 Aurelien Bompard <abompard@fedoraproject.org> 3.0.0-1
- version 3.0.0
- use gentoo patch for unicode
- patch1 merged upstream

* Thu Dec 06 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.0.1-5
- fix keyboard (bug 411911)

* Sat Dec 01 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.0.1-4
- add a symlink to the "scenarios" directory (bug 403401)

* Sat Oct 06 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.0.1-3
- incorporate opengl-games-utils' functionality into the wrapper script

* Sun Sep 02 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.0.1-1
- version 2.0.1
- patch1 merged upstream

* Sun Aug 26 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-7
- fix ExcludArch tag (no comma allowed)

* Sat Aug 25 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-6
- rebuild for BuildID
- fix license tag

* Wed Dec 20 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-5
- require glx-utils, glxinfo is used in the wrapper script
- don't try to update the configuration on startup

* Mon Dec 18 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-4
- fix launch script to detect if shadows must be turned off

* Thu Dec 14 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-3
- Does not work on PPC yet, ExcludeArch it.

* Mon Nov 27 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-2
- fix description

* Wed Jul 19 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-1
- initial package
